id: bmc-remedy-sso-panel

info:
  name: BMC Remedy SSO Login Panel - Detect
  author: righettod
  severity: info
  description: |
    BMC Remedy Single Sign-On domain data entry login panel was detected.
  reference:
    - https://www.bmc.com/it-solutions/remedy-itsm.html
  metadata:
    verified: true
    max-request: 2
    shodan-query: http.title:"BMC Remedy Single Sign-On domain data entry"
  tags: panel,bmc,login,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}/arsys/"
      - "{{BaseURL}}/webUI/userHome.do"

    stop-at-first-match: true

    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains(to_lower(body), "<title>bmc remedy single sign-on domain data entry")'
        condition: and
# digest: 4a0a00473045022100e3000c43ee361f5d64eb4a4a2bff555a8be1b7120f5b5ad1d0847963c3aae01e02204589d4fbe1ae338a690af934b2276f5c131e370e33eb6ca05f7d93da3ea04a36:922c64590222798bb761d5b6d8e72950